Bug 553233 - CVE-2010-0014 SSSD accepts any password when offline with a valid TGT available
CVE-2010-0014 SSSD accepts any password when offline with a valid TGT available
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: sssd (Show other bugs)
12
All Linux
low Severity urgent
: ---
: ---
Assigned To: Simo Sorce
Fedora Extras Quality Assurance
source=redhat,impact=moderate,reporte...
: Security
Depends On:
Blocks: CVE-2010-0014
  Show dependency treegraph
 
Reported: 2010-01-07 08:50 EST by Stephen Gallagher
Modified: 2010-01-12 18:37 EST (History)
4 users (show)

See Also:
Fixed In Version: 1.0.1-1.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-12 18:37:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Stephen Gallagher 2010-01-07 08:50:54 EST
Description of problem:
When sssd is configured to use Kerberos for authentication
(auth_provider = krb5 in a domain section) any password is accepted as
valid under the following conditions:

 - the system is offline, i.e. the KDC configured with the option
   krb5_kdcip cannot be reached
 - the user who tries to authenticate has a valid TGT for the Kerberos
   realm configured with to option krb5_realm in his credential cache
   file

Short term fix:
 - disable Kerberos authentication and use alternatives if possible


Version-Release number of selected component (if applicable):


How reproducible:
Every time

Steps to Reproduce:
1. Configure an SSSD system to authenticate against a Kerberos KDC
2. Log in as a user while SSSD is online.
3. Verify that the user has a valid TGT for the Kerberos realm.
4. Unplug the network cable.
5. Lock the display.
6. The user will be able to unlock the display with any password.
  
Additionally, this can make a system network-vulnerable, as if the SSSD is in the offline state (either the KDC or the identity server is unreachable), an attacker can log into any account that has a valid TGT.

Actual results:
Passwords are not properly verified against the cached credentials. Any password will be treated as a valid authentication.

Expected results:
Authentication should succeed with only the valid credentials.

Additional info:
The only current workaround for this problem is to disable Kerberos authentication on affected machines until a patched binary is available.
Comment 1 Tomas Hoger 2010-01-11 10:56:34 EST
New upstream version was released:
  https://fedorahosted.org/sssd/wiki/Releases/Notes-1.0.1

Marking bug public.
Comment 2 Fedora Update System 2010-01-12 18:34:42 EST
sssd-1.0.1-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Fedora Update System 2010-01-12 18:37:22 EST
sssd-1.0.1-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.